Bug 26606 - hampering default on the CD: "boot from hard disk"
: hampering default on the CD: "boot from hard disk"
Status: NEW
: Simply Linux
(All bugs in Simply Linux/installer)
: 6.0
: all Linux
: P3 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2011-11-23 01:46 by
Modified: 2012-01-10 13:55 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2011-11-23 01:46:50
altlinux-6.0.0-simply-i586-ru-live-cd.iso has as the default boot option "from
hard disk".  But this hampers one to boot the Live CD in the case when the
keyboard doesn't work in the boot loader. (A USB keyboard.)  I suggest to make
the default such that the live ALTLinux system is booted without any
intervention from the user. Why not? An installed ALTLinux system usually boots
on a computer without any intervention from a user.  My case is like this: the
USB keyboard is the only working keyboard on this computer. But the USB
keyboard doesn't work in BIOS and in the bootloader. To make it boot from CD, I
disconnect the hard drives. And I'd like to boot the Live CD and install an
ALTLinux system. The default option in the bootloader is a hindrance, and it
even makes no sense in the described situation, because I have already
disconnected the hard drives intentionally.
------- Comment #1 From 2011-11-23 10:51:59 -------
Does that BIOS have any USB-related settings like "Legacy USB support"?
Should be enabled if yes.

(dropping bug #26608 as mkimage-profiles is not the source of this image's
behaviour but the FR is accepted for it)
------- Comment #2 From 2011-11-23 14:07:55 -------
2Michael: Thanks for your attention to my particular problem (although it's not
important for this feature request in general). The situation is like that:

There is a computer (even, there are 2 computers) whose traditional keyboard
port is broken. But it's not a problem for using an installed OS: a USB
keyboard can be used. But there is no way to enter the BIOS setup before
booting, no way to control the bootloader immediately when booting, etc.,
because the USB keyboard support in the BIOS hasn't been enabled before.
------- Comment #3 From 2011-11-23 14:09:53 -------
The problem applies also to altlinux-6.0.1_rc2-simply-i586-ru-install-dvd5.iso.
------- Comment #4 From 2011-11-23 16:24:56 -------
Just in case, some PS/2 controllers block completely when something probes an
empty port -- the usual problem with these is plugged keyboard, missing mouse
and total I/O blackout on thekeyboard after probing the mouse; seen that on too
many i815 mobos but BIOS should be accessible.  In case there's a free/working
PS/2 mouse port you can plug PS/2 keyboard there as the two are equivalent
(remember PS/2 Y-cables for some older notebooks to plug both KB/M into a
single port?).

I don't think that this very particular situation is a bug to be fixed in the
image: we do risk others' data that way.  If you would be fine with a "simple"
p6-based installer booting to install by default I can provide that quickly; as
I don't use m-p-d these days (but rather work on m-p) the tweak for Simply iso
might take me a bit longer.
------- Comment #5 From 2011-11-23 19:24:45 -------
2Michael: Thanks for your suggestion of such an image. Actually, I don't think
this particular case is worth bothering: I think I'd be able to cope with this
problem if I want to proceed with installing ALTLinux on that computer -- it's
possible to put a bootloader with a fixed necessary configuration (perhaps,
smart boot manager, or grub) on a second hard disk (to leave the currently
working one untouched for safeness), and boot with it connected.

Simply, before proceeding with installation, I wanted to have a look at how a
LiveCD with Simply Linux will boot on this computer, and perhaps be able to use
it as a live system if there is a need. So I needed a LiveCD, and because of
the problem with keybaord, a LiveCD which boots itself by default...
------- Comment #6 From 2011-11-23 20:55:16 -------
There were some objections against default boot from LiveCD, but I don't
remember exactly what it is. May be we need to discuss this later.
------- Comment #7 From 2011-11-23 22:24:29 -------
A successful work-around was for me to modify /syslinux/isolinux.cfg in the
image, before burning, with xorriso-0.6.6.pl00-alt1.  The command below  *
reads the image from the file,  * applies a filter to that configuration file
with the wanted substitution,  * updates its mtime (otherwise xorriso thinks
that there is no need to write a new image, because a "filter" is not regarded
as a modification of content, just an optimization),  * extracts (and then
prints out) the modified configuration file (for diagnostics), * patches the
isolinux bootloader in the new disk (otherwise the new disk wouldn't boot with
"isolinux: checksum error" -- probably because the directory tree is changed
compared to the original, so something has to be updated in the bootloader), *
and finally outputs it to the burner.  $ xorriso -indev
altlinux-6.0.1_rc2-simply-i586-ru-install-dvd5.iso -external_filter subst
default /bin/sed 's/^default harddisk/default live/' -- -set_filter subst
/syslinux/isolinux.cfg -- -osirrox on -extract /syslinux/isolinux.cfg
~/tmp/isolinux.cfg -alter_date m +0 /syslinux/isolinux.cfg -- -boot_image
isolinux patch -outdev /dev/cdrom -commit_eject out && echo 'The new
isolinux.cfg:' && cat ~/tmp/isolinux.cfg; rm -fv /home/imz/tmp/isolinux.cfg
xorriso 0.6.6 : RockRidge filesystem manipulator, libburnia project.  xorriso :
NOTE : Loading ISO image tree from LBA 0 xorriso : UPDATE : 1898 nodes read in
1 seconds xorriso : NOTE : Detected El-Torito boot information which currently
is set to be discarded Drive current: -indev
'altlinux-6.0.1_rc2-simply-i586-ru-install-dvd5.iso' Media current: stdio file,
overwriteable Media status : is written , is appendable Boot record  : El
Torito , ISOLINUX isohybrid MBR pointing to boot image Media summary: 1
session, 1767244 data blocks, 3452m data,  881m free Volume id    : 'Simply
Linux 6.0.1  (Flounder)' Copying of file objects from ISO image to disk
filesystem is: Enabled xorriso : UPDATE : 1 files restored (   716b) in 1
seconds Extracted from ISO image: file
'/syslinux/isolinux.cfg'='/home/imz/tmp/isolinux.cfg' Drive current: -outdev
'/dev/cdrom' Media current: DVD+R/DL Media status : is blank Media summary: 0
sessions, 0 data blocks, 0 data, 8152m free xorriso : NOTE : Patching boot info
table xorriso : UPDATE : Thank you for being patient. Working since 0 seconds.
xorriso : UPDATE : Thank you for being patient. Working since 1 seconds.
xorriso : UPDATE : Thank you for being patient. Working since 2 seconds.
xorriso : UPDATE : Thank you for being patient. Working since 3 seconds.
xorriso : UPDATE : Thank you for being patient. Working since 4 seconds.
xorriso : UPDATE : Thank you for being patient. Working since 5 seconds.
xorriso : UPDATE : Thank you for being patient. Working since 6 seconds.
xorriso : UPDATE : Thank you for being patient. Working since 7 seconds.
xorriso : UPDATE : Thank you for being patient. Working since 8 seconds.
xorriso : UPDATE : Thank you for being patient. Working since 9 seconds.
xorriso : UPDATE : Thank you for being patient. Working since 10 seconds.
xorriso : UPDATE : Thank you for being patient. Working since 11 seconds.
xorriso : UPDATE : Thank you for being patient. Working since 12 seconds.
xorriso : UPDATE : Thank you for being patient. Working since 13 seconds.
xorriso : UPDATE : Thank you for being patient. Working since 14 seconds.
xorriso : UPDATE : Thank you for being patient. Working since 15 seconds.
xorriso : UPDATE : Thank you for being patient. Working since 16 seconds.
xorriso : UPDATE : Thank you for being patient. Working since 17 seconds.
xorriso : UPDATE : Thank you for being patient. Working since 18 seconds.
xorriso : UPDATE : Thank you for being patient. Working since 19 seconds.
xorriso : UPDATE : Thank you for being patient. Working since 20 seconds.
xorriso : UPDATE : Thank you for being patient. Working since 21 seconds.
xorriso : UPDATE : Thank you for being patient. Working since 22 seconds.
xorriso : UPDATE : Thank you for being patient. Working since 23 seconds.
xorriso : UPDATE : Thank you for being patient. Working since 24 seconds.
xorriso : UPDATE : Writing:        800s    0.0%   fifo  64%  buf   0%    1.2xD 
xorriso : UPDATE : Writing:       1504s    0.1%   fifo 100%  buf  79%    1.0xD 
 SKIPPED  xorriso : UPDATE : Writing:    1763776s   99.8%   fifo 100%  buf  83%
   2.6xD  xorriso : UPDATE : Writing:    1765424s   99.9%   fifo  75%  buf  89%
   2.4xD  xorriso : UPDATE : Writing:    1767040s  100.0%   fifo   0%  buf  93%
   2.4xD  xorriso : UPDATE : Thank you for being patient. Working since 1170
seconds. xorriso : UPDATE : Thank you for being patient. Working since 1171
seconds. xorriso : UPDATE : Thank you for being patient. Working since 1172
seconds. xorriso : UPDATE : Thank you for being patient. Working since 1173
seconds. xorriso : UPDATE : Thank you for being patient. Working since 1174
seconds. xorriso : UPDATE : Thank you for being patient. Working since 1175
seconds. xorriso : UPDATE : Thank you for being patient. Working since 1176
seconds. xorriso : UPDATE : Thank you for being patient. Working since 1177
seconds. xorriso : UPDATE : Thank you for being patient. Working since 1178
seconds. xorriso : UPDATE : Thank you for being patient. Working since 1179
seconds. xorriso : UPDATE : Thank you for being patient. Working since 1180
seconds. xorriso : UPDATE : Thank you for being patient. Working since 1181
seconds. xorriso : UPDATE : Thank you for being patient. Working since 1182
seconds. xorriso : UPDATE : Thank you for being patient. Working since 1183
seconds. xorriso : UPDATE : Thank you for being patient. Working since 1184
seconds. xorriso : UPDATE : Thank you for being patient. Working since 1185
seconds. xorriso : UPDATE : Thank you for being patient. Working since 1186
seconds. xorriso : UPDATE : Thank you for being patient. Working since 1187
seconds. xorriso : UPDATE : Thank you for being patient. Working since 1188
seconds. xorriso : UPDATE : Thank you for being patient. Working since 1189
seconds. xorriso : UPDATE : Thank you for being patient. Working since 1190
seconds. xorriso : UPDATE : Thank you for being patient. Working since 1191
seconds. xorriso : UPDATE : Thank you for being patient. Working since 1192
seconds. xorriso : UPDATE : Thank you for being patient. Working since 1193
seconds. xorriso : UPDATE : Thank you for being patient. Working since 1194
seconds. xorriso : UPDATE : Thank you for being patient. Working since 1195
seconds. xorriso : UPDATE : Thank you for being patient. Working since 1196
seconds. xorriso : UPDATE : Thank you for being patient. Working since 1197
seconds. xorriso : UPDATE : Thank you for being patient. Working since 1198
seconds. xorriso : UPDATE : Thank you for being patient. Working since 1199
seconds. xorriso : UPDATE : Thank you for being patient. Working since 1200
seconds. xorriso : UPDATE : Thank you for being patient. Working since 1201
seconds. xorriso : UPDATE : Thank you for being patient. Working since 1202
seconds. xorriso : UPDATE : Thank you for being patient. Working since 1203
seconds. xorriso : UPDATE : Thank you for being patient. Working since 1204
seconds. xorriso : UPDATE : Thank you for being patient. Working since 1205
seconds. xorriso : UPDATE : Thank you for being patient. Working since 1206
seconds. xorriso : UPDATE : Thank you for being patient. Working since 1207
seconds. xorriso : UPDATE : Thank you for being patient. Working since 1208
seconds. xorriso : UPDATE : Thank you for being patient. Working since 1209
seconds. xorriso : UPDATE : Thank you for being patient. Working since 1210
seconds. xorriso : UPDATE : Thank you for being patient. Working since 1211
seconds. xorriso : UPDATE : Thank you for being patient. Working since 1212
seconds. xorriso : UPDATE : Thank you for being patient. Working since 1213
seconds. xorriso : UPDATE : Thank you for being patient. Working since 1214
seconds. xorriso : UPDATE : Thank you for being patient. Working since 1215
seconds. xorriso : UPDATE : Thank you for being patient. Working since 1216
seconds. xorriso : UPDATE : Thank you for being patient. Working since 1217
seconds. xorriso : UPDATE : Thank you for being patient. Working since 1218
seconds. xorriso : UPDATE : Thank you for being patient. Working since 1219
seconds. xorriso : UPDATE : Thank you for being patient. Working since 1220
seconds. xorriso : UPDATE : Thank you for being patient. Working since 1221
seconds. xorriso : UPDATE : Thank you for being patient. Working since 1222
seconds. xorriso : UPDATE : Thank you for being patient. Working since 1223
seconds. xorriso : UPDATE : Thank you for being patient. Working since 1224
seconds. xorriso : UPDATE : Thank you for being patient. Working since 1225
seconds. xorriso : UPDATE : Thank you for being patient. Working since 1226
seconds. ISO image produced: 1766978 sectors Written to media  : 1767136
sectors at LBA 0 Writing to '/dev/cdrom' completed sucessfully.  xorriso : NOTE
: Giving up -indev 'altlinux-6.0.1_rc2-simply-i586-ru-install-dvd5.iso' The new
isolinux.cfg: default live prompt 1 timeout 200 ui gfxboot bootlogo message
implicit 1  label harddisk   localboot 0x80   label linux   kernel alt0/vmlinuz
    append initrd=alt0/full.cz changedisk ramdisk_size=108143 lang=ru_RU splash
noeject xdriver=auto quiet=1 showopts  label failsafe   kernel alt0/vmlinuz    
append initrd=alt0/full.cz changedisk ramdisk_size=108143 lang=ru_RU  showopts
noapic pci=nomsi noeject acpi=off noload=ahci nomodeset  label rescue   kernel
alt0/vmlinuz   append initrd=alt0/full.cz live ramdisk_size=82756 fastboot
stagename=rescue showopts  label live   kernel alt0/vmlinuz   append
initrd=alt0/full.cz live lowmem fastboot splash stagename=live quiet=1 showopts
label memtest   kernel memtest  удалён «/home/imz/tmp/isolinux.cfg» $   To
check that the configuration file has actually updated on can run a command
like:  xorriso -indev /dev/cdrom -osirrox on -extract /syslinux/isolinux.cfg
~/tmp/isolinux.cfg -rollback_end  && echo 'The new isolinux.cfg:' && cat
~/tmp/isolinux.cfg; rm -fv /home/imz/tmp/isolinux.cfg  or, of course, simply
mount the new disk and check.
------- Comment #8 From 2011-11-23 22:27:01 -------
A successful work-around was for me to modify /syslinux/isolinux.cfg in the
image, before burning, with xorriso-0.6.6.pl00-alt1.

The command below

* reads the image from the file, 
* applies a filter to that configuration file with the wanted substitution, 
* updates its mtime (otherwise xorriso thinks that there is no need to write a
new image, because a "filter" is not regarded as a modification of content,
just an optimization), 
* extracts (and then prints out) the modified configuration file (for
diagnostics),
* patches the isolinux bootloader in the new disk (otherwise the new disk
wouldn't boot with "isolinux: checksum error" -- probably because the directory
tree is changed compared to the original, so something has to be updated in the
bootloader),
* and finally outputs it to the burner.

$ xorriso -indev altlinux-6.0.1_rc2-simply-i586-ru-install-dvd5.iso
-external_filter subst default /bin/sed 's/^default harddisk/default live/' --
-set_filter subst /syslinux/isolinux.cfg -- -osirrox on -extract
/syslinux/isolinux.cfg ~/tmp/isolinux.cfg -alter_date m +0
/syslinux/isolinux.cfg -- -boot_image isolinux patch -outdev /dev/cdrom
-commit_eject out && echo 'The new isolinux.cfg:' && cat ~/tmp/isolinux.cfg; rm
-fv /home/imz/tmp/isolinux.cfg
xorriso 0.6.6 : RockRidge filesystem manipulator, libburnia project.

xorriso : NOTE : Loading ISO image tree from LBA 0
xorriso : UPDATE : 1898 nodes read in 1 seconds
xorriso : NOTE : Detected El-Torito boot information which currently is set to
be discarded
Drive current: -indev 'altlinux-6.0.1_rc2-simply-i586-ru-install-dvd5.iso'
Media current: stdio file, overwriteable
Media status : is written , is appendable
Boot record  : El Torito , ISOLINUX isohybrid MBR pointing to boot image
Media summary: 1 session, 1767244 data blocks, 3452m data,  881m free
Volume id    : 'Simply Linux 6.0.1  (Flounder)'
Copying of file objects from ISO image to disk filesystem is: Enabled
xorriso : UPDATE : 1 files restored (   716b) in 1 seconds
Extracted from ISO image: file
'/syslinux/isolinux.cfg'='/home/imz/tmp/isolinux.cfg'
Drive current: -outdev '/dev/cdrom'
Media current: DVD+R/DL
Media status : is blank
Media summary: 0 sessions, 0 data blocks, 0 data, 8152m free
xorriso : NOTE : Patching boot info table
xorriso : UPDATE : Thank you for being patient. Working since 0 seconds.
xorriso : UPDATE : Thank you for being patient. Working since 1 seconds.
xorriso : UPDATE : Thank you for being patient. Working since 2 seconds.
xorriso : UPDATE : Thank you for being patient. Working since 3 seconds.
xorriso : UPDATE : Thank you for being patient. Working since 4 seconds.
xorriso : UPDATE : Thank you for being patient. Working since 5 seconds.
xorriso : UPDATE : Thank you for being patient. Working since 6 seconds.
xorriso : UPDATE : Thank you for being patient. Working since 7 seconds.
xorriso : UPDATE : Thank you for being patient. Working since 8 seconds.
xorriso : UPDATE : Thank you for being patient. Working since 9 seconds.
xorriso : UPDATE : Thank you for being patient. Working since 10 seconds.
xorriso : UPDATE : Thank you for being patient. Working since 11 seconds.
xorriso : UPDATE : Thank you for being patient. Working since 12 seconds.
xorriso : UPDATE : Thank you for being patient. Working since 13 seconds.
xorriso : UPDATE : Thank you for being patient. Working since 14 seconds.
xorriso : UPDATE : Thank you for being patient. Working since 15 seconds.
xorriso : UPDATE : Thank you for being patient. Working since 16 seconds.
xorriso : UPDATE : Thank you for being patient. Working since 17 seconds.
xorriso : UPDATE : Thank you for being patient. Working since 18 seconds.
xorriso : UPDATE : Thank you for being patient. Working since 19 seconds.
xorriso : UPDATE : Thank you for being patient. Working since 20 seconds.
xorriso : UPDATE : Thank you for being patient. Working since 21 seconds.
xorriso : UPDATE : Thank you for being patient. Working since 22 seconds.
xorriso : UPDATE : Thank you for being patient. Working since 23 seconds.
xorriso : UPDATE : Thank you for being patient. Working since 24 seconds.
xorriso : UPDATE : Writing:        800s    0.0%   fifo  64%  buf   0%    1.2xD 
xorriso : UPDATE : Writing:       1504s    0.1%   fifo 100%  buf  79%    1.0xD 

SKIPPED

xorriso : UPDATE : Writing:    1763776s   99.8%   fifo 100%  buf  83%    2.6xD 
xorriso : UPDATE : Writing:    1765424s   99.9%   fifo  75%  buf  89%    2.4xD 
xorriso : UPDATE : Writing:    1767040s  100.0%   fifo   0%  buf  93%    2.4xD 
xorriso : UPDATE : Thank you for being patient. Working since 1170 seconds.
xorriso : UPDATE : Thank you for being patient. Working since 1171 seconds.
xorriso : UPDATE : Thank you for being patient. Working since 1172 seconds.
xorriso : UPDATE : Thank you for being patient. Working since 1173 seconds.
xorriso : UPDATE : Thank you for being patient. Working since 1174 seconds.
xorriso : UPDATE : Thank you for being patient. Working since 1175 seconds.
xorriso : UPDATE : Thank you for being patient. Working since 1176 seconds.
xorriso : UPDATE : Thank you for being patient. Working since 1177 seconds.
xorriso : UPDATE : Thank you for being patient. Working since 1178 seconds.
xorriso : UPDATE : Thank you for being patient. Working since 1179 seconds.
xorriso : UPDATE : Thank you for being patient. Working since 1180 seconds.
xorriso : UPDATE : Thank you for being patient. Working since 1181 seconds.
xorriso : UPDATE : Thank you for being patient. Working since 1182 seconds.
xorriso : UPDATE : Thank you for being patient. Working since 1183 seconds.
xorriso : UPDATE : Thank you for being patient. Working since 1184 seconds.
xorriso : UPDATE : Thank you for being patient. Working since 1185 seconds.
xorriso : UPDATE : Thank you for being patient. Working since 1186 seconds.
xorriso : UPDATE : Thank you for being patient. Working since 1187 seconds.
xorriso : UPDATE : Thank you for being patient. Working since 1188 seconds.
xorriso : UPDATE : Thank you for being patient. Working since 1189 seconds.
xorriso : UPDATE : Thank you for being patient. Working since 1190 seconds.
xorriso : UPDATE : Thank you for being patient. Working since 1191 seconds.
xorriso : UPDATE : Thank you for being patient. Working since 1192 seconds.
xorriso : UPDATE : Thank you for being patient. Working since 1193 seconds.
xorriso : UPDATE : Thank you for being patient. Working since 1194 seconds.
xorriso : UPDATE : Thank you for being patient. Working since 1195 seconds.
xorriso : UPDATE : Thank you for being patient. Working since 1196 seconds.
xorriso : UPDATE : Thank you for being patient. Working since 1197 seconds.
xorriso : UPDATE : Thank you for being patient. Working since 1198 seconds.
xorriso : UPDATE : Thank you for being patient. Working since 1199 seconds.
xorriso : UPDATE : Thank you for being patient. Working since 1200 seconds.
xorriso : UPDATE : Thank you for being patient. Working since 1201 seconds.
xorriso : UPDATE : Thank you for being patient. Working since 1202 seconds.
xorriso : UPDATE : Thank you for being patient. Working since 1203 seconds.
xorriso : UPDATE : Thank you for being patient. Working since 1204 seconds.
xorriso : UPDATE : Thank you for being patient. Working since 1205 seconds.
xorriso : UPDATE : Thank you for being patient. Working since 1206 seconds.
xorriso : UPDATE : Thank you for being patient. Working since 1207 seconds.
xorriso : UPDATE : Thank you for being patient. Working since 1208 seconds.
xorriso : UPDATE : Thank you for being patient. Working since 1209 seconds.
xorriso : UPDATE : Thank you for being patient. Working since 1210 seconds.
xorriso : UPDATE : Thank you for being patient. Working since 1211 seconds.
xorriso : UPDATE : Thank you for being patient. Working since 1212 seconds.
xorriso : UPDATE : Thank you for being patient. Working since 1213 seconds.
xorriso : UPDATE : Thank you for being patient. Working since 1214 seconds.
xorriso : UPDATE : Thank you for being patient. Working since 1215 seconds.
xorriso : UPDATE : Thank you for being patient. Working since 1216 seconds.
xorriso : UPDATE : Thank you for being patient. Working since 1217 seconds.
xorriso : UPDATE : Thank you for being patient. Working since 1218 seconds.
xorriso : UPDATE : Thank you for being patient. Working since 1219 seconds.
xorriso : UPDATE : Thank you for being patient. Working since 1220 seconds.
xorriso : UPDATE : Thank you for being patient. Working since 1221 seconds.
xorriso : UPDATE : Thank you for being patient. Working since 1222 seconds.
xorriso : UPDATE : Thank you for being patient. Working since 1223 seconds.
xorriso : UPDATE : Thank you for being patient. Working since 1224 seconds.
xorriso : UPDATE : Thank you for being patient. Working since 1225 seconds.
xorriso : UPDATE : Thank you for being patient. Working since 1226 seconds.
ISO image produced: 1766978 sectors
Written to media  : 1767136 sectors at LBA 0
Writing to '/dev/cdrom' completed sucessfully.

xorriso : NOTE : Giving up -indev
'altlinux-6.0.1_rc2-simply-i586-ru-install-dvd5.iso'
The new isolinux.cfg:
default live
prompt 1
timeout 200
ui gfxboot bootlogo message
implicit 1

label harddisk
  localboot 0x80 

label linux
  kernel alt0/vmlinuz
    append initrd=alt0/full.cz changedisk ramdisk_size=108143 lang=ru_RU splash
noeject xdriver=auto quiet=1 showopts

label failsafe
  kernel alt0/vmlinuz
    append initrd=alt0/full.cz changedisk ramdisk_size=108143 lang=ru_RU 
showopts noapic pci=nomsi noeject acpi=off noload=ahci nomodeset

label rescue
  kernel alt0/vmlinuz
  append initrd=alt0/full.cz live ramdisk_size=82756 fastboot stagename=rescue
showopts

label live
  kernel alt0/vmlinuz
  append initrd=alt0/full.cz live lowmem fastboot splash stagename=live quiet=1
showopts
label memtest
  kernel memtest

удалён «/home/imz/tmp/isolinux.cfg»
$ 

To check that the configuration file has actually updated on can run a command
like:

xorriso -indev /dev/cdrom -osirrox on -extract /syslinux/isolinux.cfg
~/tmp/isolinux.cfg -rollback_end  && echo 'The new isolinux.cfg:' && cat
~/tmp/isolinux.cfg; rm -fv /home/imz/tmp/isolinux.cfg

or, of course, simply mount the new disk and check.
------- Comment #9 From 2011-11-24 00:38:01 -------
(In reply to comment #6)
> There were some objections against default boot from LiveCD, but I don't
> remember exactly what it is. May be we need to discuss this later.
I'd be interested in hearing those.

Let's close this one as WORKSFORME ot NOTABUG, and continue discussing bug
#26608.

(In reply to comment #8)
> A successful work-around was for me to modify /syslinux/isolinux.cfg in the
> image, before burning, with xorriso-0.6.6.pl00-alt1.
There's also isomaster (a GUI app).  And here you are just in case:
http://ftp.linux.kiev.ua/pub/Linux/ALT/people/mike/iso/mkimage-profiles/rescue-t6_20111123-i586.iso
http://ftp.linux.kiev.ua/pub/Linux/ALT/people/mike/iso/mkimage-profiles/rescue-t6_20111123-x86_64.iso
------- Comment #10 From 2012-01-10 13:55:21 -------
Ошибка переведена на релиз-менеджера Simply Linux.